Orxonox: src/cpptcl/cpptcl.cc File Reference

# cpptcl.cc File Reference

`#include "cpptcl.h"`
`#include <map>`
`#include <sstream>`
`#include <iterator>`

## Typedefs

typedef map< string, shared_ptr< callback_base > > | callback_interp_map
typedef map< Tcl_Interp *, callback_interp_map > | callback_map
typedef map< Tcl_Interp *, class_interp_map > | class_handlers_map
typedef map< string, shared_ptr< class_handler_base > > | class_interp_map
typedef map< string, policies > | policies_interp_map
typedef map< Tcl_Interp *, policies_interp_map > | policies_map

## Functions

int | callback_handler (ClientData, Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[])
int | constructor_handler (ClientData cd, Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[])
policies | Tcl::factory (string const &name)
bool | find_policies (Tcl_Interp *interp, string const &cmdName, policies_interp_map::iterator &piti)
int | object_handler (ClientData cd, Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[])
int | object_handler (ClientData cd, Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[])
void | post_process_policies (Tcl_Interp *interp, policies &pol, Tcl_Obj *CONST objv[], bool isMethod)
policies | Tcl::sink (int index)
policies | Tcl::variadic ()

## Variables

policies_map | call_policies
callback_map | callbacks
class_handlers_map | class_handlers
callback_map | constructors

## Typedef Documentation

typedef map<string, shared_ptr<callback_base> > callback_interp_map`[static]`

typedef map<Tcl_Interp *, callback_interp_map> callback_map`[static]`

typedef map<Tcl_Interp *, class_interp_map> class_handlers_map`[static]`

typedef map<string, shared_ptr<class_handler_base> > class_interp_map`[static]`

typedef map<string, policies> policies_interp_map`[static]`

typedef map<Tcl_Interp *, policies_interp_map> policies_map`[static]`

## Function Documentation

int @132::callback_handler | ( | ClientData | ,
|  | Tcl_Interp * | interp,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[] |
| ) |  |  | `[static]`

References find_policies(), and post_process_policies().

int @132::constructor_handler | ( | ClientData | cd,
|  | Tcl_Interp * | interp,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[] |
| ) |  |  | `[static]`

References find_policies(), and object_handler().

bool @132::find_policies | ( | Tcl_Interp * | interp,
|  | string const & | cmdName,
|  | policies_interp_map::iterator & | piti |
| ) |  |  | `[static]`

Referenced by callback_handler(), and constructor_handler().

int @132::object_handler | ( | ClientData | cd,
|  | Tcl_Interp * | interp,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[] |
| ) |  |  | `[static]`

References Tcl::details::class_handler_base::get_policies(), Tcl::details::object_cmd_base::invoke(), and post_process_policies().

int @132::object_handler | ( | ClientData | cd,
|  | Tcl_Interp * | interp,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[] |
| ) |  |  | `[static]`

Referenced by constructor_handler(), and post_process_policies().

void @132::post_process_policies | ( | Tcl_Interp * | interp,
|  | policies & | pol,
|  | Tcl_Obj *CONST | objv[],
|  | bool | isMethod |
| ) |  |  | `[static]`

References Tcl::policies::factory_, object_handler(), and Tcl::policies::sinks_.

Referenced by callback_handler(), and object_handler().

## Variable Documentation

policies_map call_policies`[static]`

Referenced by Tcl::interpreter::clear_definitions().

callback_map callbacks`[static]`

Referenced by Tcl::interpreter::clear_definitions().

class_handlers_map class_handlers`[static]`

Referenced by Tcl::interpreter::clear_definitions().

callback_map constructors`[static]`

Referenced by Tcl::interpreter::clear_definitions().